
Redmine - Feature #2413

mail_handler : import custom fields from Emails

2008-12-29 15:49 - Olivier Abad

Status: Closed Start date: 2008-12-29

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Email receiving Estimated time: 0.00 hour

Target version: 0.8.1   

Resolution: Fixed   

Description

It would be nice if custom fields could be imported from Emails, using the same syntax as the other standard fields :

CustomFieldName: CustomFieldValue

Associated revisions

Revision 2211 - 2008-12-30 15:57 - Jean-Philippe Lang

Import custom fields values from emails (#2413).

History

#1 - 2008-12-30 15:55 - Jean-Philippe Lang

- Status changed from New to Closed

- Target version set to 0.8.1

- Resolution set to Fixed

Indeed. Feature added in r2211.

#2 - 2009-01-01 14:29 - Ayose Cazorla

- Status changed from Closed to Reopened

The patch does not work for issue updates. I had to copy this block in MailHandler#receive_issue_update, just before issue.save!

    # custom fields

    issue.custom_field_values = issue.available_custom_fields.inject({}) do |h, c|

      if value = get_keyword(c.name, :override => true)

        h[c.id] = value

      end

      h

    end

 It is copied from receive_issue. I tested it and it works fine.

I set this issue to Reopened because in the current revision (r2220) the bug is still there for MailHandler#receive_issue_update

#3 - 2009-02-15 09:45 - Jean-Philippe Lang

- Status changed from Reopened to Closed

r2211 was not supposed to do anything for issue updates. See #2702.

#4 - 2009-11-28 13:20 - Jean-Philippe Lang

- Category changed from Email notifications to Email receiving

Powered by TCPDF (www.tcpdf.org)

2025-05-17 1/1

https://www.redmine.org/projects/redmine/repository/svn/revisions/2211
https://www.redmine.org/projects/redmine/repository/svn/revisions/2220
https://www.redmine.org/projects/redmine/repository/svn/revisions/2211
https://www.redmine.org/issues/2702
http://www.tcpdf.org

